jQuery(document).ready(function($) {

    $('#teambot-project-form').on('change', function(){

        let $this       = $(this);
        let $loadingDiv = $('#teambot-lists-container-wait');
        let $listsDiv   = $('#teambot-lists-container');
        let $lists      = $('#teambot-list');

        $loadingDiv.show();
        $listsDiv.hide();

        $.ajax({
            url: admin_ajax.ajax_url, 
            type: 'GET',
            data: {
                action: 'get_teambot_tasks_lists',
                project: $this.val( )
            },
            success: function(response) {
                // Handle AJAX response
                console.log(response);

                $lists.find('option').remove().end();
                

                if(response.data){
                    $lists.append('<option value=""></option>');

                    for(let i = 0, size = response.data.length; i < size; i++){
                        $lists.append('<option value="' + response.data[i].id + '">' + response.data[i].text + '</option>');
                    }
                }

                $loadingDiv.hide();
                $listsDiv.show();
            },
            error: function(xhr, status, error) {
                // Handle AJAX error
                console.error(xhr.responseText);
                $loadingDiv.hide();
                $listsDiv.hide();
            }
        });
        
    });
    
});