jQuery(document).ready(function($) {
    $('.teambot-form-send').on('click', function(event) {
        event.preventDefault();

        let $this = $(this);

        let id = $this.data('id');

        let $subject = $('#teambot-form-subject-' + id);
        let $description = $('#teambot-form-description-' + id);
        let $priority = $('#teambot-form-priority-' + id);

        $subject.prop('readonly', true);
        $description.prop('readonly', true);
        $priority.prop('readonly', true);

        $this.prop('disabled', true);

        // Submit form via AJAX
        $.ajax({
            type: 'POST',
            url: admin_ajax.ajax_url,
            data: {
                action: 'teambot_form_submit',
                id: id,
                subject: $subject.val(),
                description: $description.val(),
                priority: $priority.val(),
            },
            success: function(response) {
                $('#teambot-form-response-' + id).html('<div class="teambot-response-success">' + response.data + '</div>');
                $subject.val('');
                $description.val('');
                $priority.val('');

                $subject.prop('readonly', false);
                $description.prop('readonly', false);
                $priority.prop('readonly', false);

                $this.prop('disabled', false);
            },
            error: function(xhr, status, error) {
                $('#teambot-form-response-' + id).html('<div class="teambot-response-error">' + JSON.parse(xhr.responseText).data + '</div>');

                $subject.prop('readonly', false);
                $description.prop('readonly', false);
                $priority.prop('readonly', false);

                $this.prop('disabled', false);

            }
        });
    });

    $('.teambot-roadmap-menu-item').on('click', function() {

        let id = $(this).data('id');
        
        $('.teambot-roadmap-menu-item').each(function() {

            $(this).removeClass('teambot-roadmap-menu-item-active');

        });

        $(this).addClass('teambot-roadmap-menu-item-active');

        $('.teambot-roadmap-list-tasks').each(function() {
            
            $(this).hide();

        });

        $('#teambot-roadmap-list-' + id).show();
    });
});