<?php

// Add a nonce field
wp_nonce_field('teambot_form_meta_box', 'teambot_form_meta_box_nonce');

$current_project    = get_post_meta($post->ID, '_teambot-project', true);
$current_user       = get_post_meta($post->ID, '_teambot-user', true);
$current_list       = get_post_meta($post->ID, '_teambot-list', true);
$lists              = [];

if($current_project){
    $lists  = $teamBOTAPI->getLists($current_project);
}
?>

<div class="teambot-metabox-input">
    <label for="teambot-user">Assign to:</label>
    <div>
        <select style="min-width: 150px;" name="teambot-user" id="teambot-user">';
            <option value=""></option>
            <?php foreach ($users as $user) : ?>
                <option value="<?= $user['id'] ?>" <?= selected($current_user, $user['id'], false) ?>><?= $user['lastName'] . ', ' . $user['firstName'] ?></option>
            <?php endforeach; ?>
        </select>
    </div>
</div>

<div class="teambot-metabox-input">
    <label for="teambot-project">Project:</label>
    <div>
        <select style="min-width: 150px;" name="teambot-project" id="teambot-project-form" required>
            <option value=""></option>
            <?php foreach ($projects as $project) : ?>
                <option value="<?= $project['id'] ?>" <?= selected($current_project, $project['id'], false) ?>><?= $project['name'] ?></option>
            <?php endforeach; ?>
        </select>
    </div>
</div>

<div id="teambot-lists-container-wait" class="teambot-metabox-input" style="display: none;">
    <div id="custom-loading-overlay"><img src="/wp-admin/images/loading.gif" alt="Loading..." /></div>
</div>

<div id="teambot-lists-container" class="teambot-metabox-input"  <?php if(count($lists) == 0): ?> style="display: none;" <?php endif; ?>>
    <label for="teambot-list">List:</label>
    <div>
        <select style="min-width: 150px;" name="teambot-list" id="teambot-list" required>
            <option value=""></option>
            <?php foreach ($lists as $list) : ?>
                <option value="<?= $list['id'] ?>" <?= selected($current_list, $list['id'], false) ?>><?= $list['text'] ?></option>
            <?php endforeach; ?>
        </select>
    </div>
</div>